const express = require("express");
const router = express.Router();
const { requireAdmin } = require("../middleware/auth.middleware");
const uploadLogo = require("../middleware/uploadLogo");
const {
  getCompanySettings,
  saveCompanySettings,
} = require("../controllers/companySettings.controller");

// ✅ NUR der relative Pfad
router.get("/company-settings", requireAdmin, getCompanySettings);

router.post(
  "/company-settings",
  requireAdmin,
  uploadLogo.single("logo"),
  saveCompanySettings
);

module.exports = router;

